USE COWS
GO


IF NOT EXISTS (SELECT 'X' FROM dbo.LK_TELCO WITH (NOLOCK) WHERE TELCO_NME LIKE '%Tolt%')
BEGIN
DECLARE @TelcoID INT
SELECT @TelcoID = MAX(TELCO_ID)+1 FROM dbo.LK_TELCO WITH (NOLOCK)
INSERT INTO dbo.LK_TELCO (TELCO_ID, TELCO_NME, TELCO_CNTCT_PHN_NBR, REC_STUS_ID, CREAT_BY_USER_ID, MODFD_BY_USER_ID, MODFD_DT, CREAT_DT) 
VALUES (@TelcoID,'Tolt','999-999-9999',1,1,1,GETDATE(),GETDATE())
END
GO

UPDATE dbo.MDS_EVENT_NEW WITH (TABLOCKX)
SET MDS_BRDG_NEED_CD = CASE MDS_BRDG_NEED_ID WHEN 1 THEN 1 ELSE 0 END
WHERE MDS_BRDG_NEED_CD IS NULL

